Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(198)

Unified Diff: chromium/scripts/munge_config_posix_memalign.sh

Issue 9290059: Initial commit of all previous Chrome build scripts. (Closed) Base URL: http://git.chromium.org/chromium/third_party/ffmpeg.git@master
Patch Set: Created 8 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: chromium/scripts/munge_config_posix_memalign.sh
diff --git a/chromium/scripts/munge_config_posix_memalign.sh b/chromium/scripts/munge_config_posix_memalign.sh
new file mode 100755
index 0000000000000000000000000000000000000000..b558cc2d35959c5c04d44a1d6f87ffcab9412ef9
--- /dev/null
+++ b/chromium/scripts/munge_config_posix_memalign.sh
@@ -0,0 +1,21 @@
+# Copyright (c) 2011 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This script munges the config.h to mark posix_memalign unavailable so
+# that the ffmpeg library can be linked against stdlib for
+# MACOSX_DEPLOYMENT_TARGET < 10.7
+# This is because we are building for older systems which did not have
+# this functionality.
+#
+# Warning: in theory we should also disable this on config.asm but it is
+# not yet used there.
+set -e
+
+sed -i.orig -e '
+/HAVE_POSIX_MEMALIGN/ {
+c\
+#define HAVE_POSIX_MEMALIGN 0
+}
+' \
+$1

Powered by Google App Engine
This is Rietveld 408576698